Subject: Re: Process exhaustion; please test
From: "Gerrit P. Haase" <[email-masked]>
To: Nils <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Aug 2002 12:15:33 +0200

Hallo Nils,

Am Montag, 19. August 2002 um 08:41 schriebst du:

> I've been having a problem running out of process IDs and wrote a small 
> C program to test if it happens on other systems.  On my system I use up 
> 2000 PIDs in ~500-550 forks.  This seems like a lot.  Could others run 
> this and see if they see the same?  Please drop me or the list a line 
> with how it runs on your machine.

$ ./procids
Starting process ID is 422; ending at 2422.
Child process ID 640.
Child process ID 680.
Child process ID 720.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Child process ID 760.
Segmentation fault (core dumped)

Adding a printf I got segfaulting at:
[...]
Forked 2492 times up to now.
Segmentation fault (core dumped)

> I'm on Win XP home with cygwin 1.3.12.  My cygcheck output is attached 
> as well as the short program.

I'm on NT4 with:
$ cygcheck -c cygwin
Cygwin Package Information
Package             Version             
cygwin              1.3.12-4

Gerrit
-- 
"All faults& bugs are mine - Robert"
    from squid/acinclude.m4,   Sun Apr 21 05:21:21 2002

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/